| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NTuple::Matrix< TYP > Class Template Reference

Class acting as a smart pointer holding a N tuple _Item. More...

`#include <GaudiKernel/NTuple.h>`

Inheritance diagram for NTuple::Matrix< TYP >:
[legend]
Collaboration diagram for NTuple::Matrix< TYP >:
[legend]

## Public Member Functions
| Matrix ()=default
| Standard Constructor. More...
template<class T >
Matrix & | operator= (const Matrix< T > &copy)
| Assignment operator. More...
template<class T >
TYP * | operator[] (const T i)
| Array operator. More...
template<class T >
const TYP * | operator[] (const T i) const
| Array operator. More...
| ~Matrix () override=default
Public Member Functions inherited from NTuple::_Accessor< _Matrix< TYP > >
| _Accessor ()=default
| Standard Constructor. More...
virtual | ~_Accessor ()=default
| Standard Destructor. More...
bool | operator! () const
| Check if column is present. More...
| operator const void * () const
| Check if column is present. More...
_Matrix< TYP > * | operator-> ()
| Dereference operator. More...
const _Matrix< TYP > * | operator-> () const
| Dereference operator (CONST) More...
const Range< _Matrix< TYP > > & | range () const
| Access the range. More...

## Additional Inherited Members
Protected Attributes inherited from NTuple::_Accessor< _Matrix< TYP > >
_Matrix< TYP > * | m_ptr
| Pointer to instance. More...

## Detailed Description

### template<class TYP>
class NTuple::Matrix< TYP >

Class acting as a smart pointer holding a N tuple _Item.

Definition at line 53 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Matrix< TYP >::Matrix | ( |  | ) |
| default

Standard Constructor.

template<class TYP>

NTuple::Matrix< TYP >::~Matrix | ( |  | ) |
| override default

## Member Function Documentation

template<class TYP>
template<class T >

Matrix& NTuple::Matrix< TYP >::operator= | ( | const Matrix< T > & | copy | ) |
| inline

Assignment operator.

Definition at line 386 of file NTuple.h.

387 {
388 *( this->m_ptr ) = *( copy.operator->() );
389 return *this;
390 }
std::copy
T copy(T...args)
NTuple::_Accessor< _Matrix< TYP > >::m_ptr
_Matrix< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>
template<class T >

TYP* NTuple::Matrix< TYP >::operator[] | ( | const T | i | ) |
| inline

Array operator.

Definition at line 393 of file NTuple.h.

394 {
395 return this->m_ptr->column( i );
396 }
NTuple::_Accessor< _Matrix< TYP > >::m_ptr
_Matrix< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240
template<class TYP>
template<class T >

const TYP* NTuple::Matrix< TYP >::operator[] | ( | const T | i | ) | const
| inline

Array operator.

Definition at line 399 of file NTuple.h.

400 {
401 return this->m_ptr->column( i );
402 }
NTuple::_Accessor< _Matrix< TYP > >::m_ptr
_Matrix< TYP > * m_ptr
Pointer to instance.
Definition: NTuple.h:240

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h